knowledge-bases-books-get-one¶
Source¶
Repository:
jef-systems/jef-knowledge-bases-backendSource Run ID:
25224728551Source SHA:
aa5ff95e9fc61b1117b4e8fbff26c3c0f37efea2Module:
knowledge-basesDocumentation Scope:
getLambda:
jef-knowledge-bases-get-3
Endpoint¶
API Name:
jef-knowledge-basesAction Name:
getMethod:
GETScope Label:
GETResource Path:
/knowledge-bases-books-get-oneComplete Endpoint:
https://in42anzkh6.execute-api.ap-southeast-1.amazonaws.com/prod/knowledge-bases-books-get-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-knowledge-bases-get-3curl payload mode:
query_string
API Gateway Description¶
Function: jef-knowledge-bases-get-3
API Name: jef-knowledge-bases
Action: get
Method: GET
Resource Path: /knowledge-bases-books-get-one
Table:
- table: jef-knowledge-bases-books
- operation: get-one
Payload Schema:
- pk: document_id
Payload Example:
- pk: document-001
Response Schema:
- exists: boolean
- message: string
- item: {"document_id":"string","book_version":"string","knowledge_base_id":"string","book_id":"string","book_slug":"string","slug":"string","name":"string","title":"string","subtitle":"string","description":"string","author":"string","publisher":"string","language":"string","owner_entity_number":"string","source_type":"string","source_uri":"string","source_hash":"string","s3_bucket":"string","s3_key":"string","content_type":"string","extraction_engine":"string","ingestion_status":"string","status":"string","active":"boolean","total_pages":"number","pages_submitted":"number","last_page_submitted":"number","failed_page_count":"number","empty_page_count":"number","total_text_length":"number","total_word_count":"number","total_chunk_count":"number","manifest_verified":"boolean","manifest_missing_pages":"string","manifest_uri":"string","manifest_hash":"string","pipeline_run_id":"string","latest_build_number":"number","started_at":"string","completed_at":"string","failed_at":"string","created_at":"string","updated_at":"string","published_at":"string","submitted_at":"string","created_by":"string","updated_by":"string","error_message":"string","idempotency_key":"string"}
Request Payload¶
{
"pk": "document_id"
}
Response¶
{
"exists": "boolean",
"message": "string",
"item": "{\"document_id\":\"string\",\"book_version\":\"string\",\"knowledge_base_id\":\"string\",\"book_id\":\"string\",\"book_slug\":\"string\",\"slug\":\"string\",\"name\":\"string\",\"title\":\"string\",\"subtitle\":\"string\",\"description\":\"string\",\"author\":\"string\",\"publisher\":\"string\",\"language\":\"string\",\"owner_entity_number\":\"string\",\"source_type\":\"string\",\"source_uri\":\"string\",\"source_hash\":\"string\",\"s3_bucket\":\"string\",\"s3_key\":\"string\",\"content_type\":\"string\",\"extraction_engine\":\"string\",\"ingestion_status\":\"string\",\"status\":\"string\",\"active\":\"boolean\",\"total_pages\":\"number\",\"pages_submitted\":\"number\",\"last_page_submitted\":\"number\",\"failed_page_count\":\"number\",\"empty_page_count\":\"number\",\"total_text_length\":\"number\",\"total_word_count\":\"number\",\"total_chunk_count\":\"number\",\"manifest_verified\":\"boolean\",\"manifest_missing_pages\":\"string\",\"manifest_uri\":\"string\",\"manifest_hash\":\"string\",\"pipeline_run_id\":\"string\",\"latest_build_number\":\"number\",\"started_at\":\"string\",\"completed_at\":\"string\",\"failed_at\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"published_at\":\"string\",\"submitted_at\":\"string\",\"created_by\":\"string\",\"updated_by\":\"string\",\"error_message\":\"string\",\"idempotency_key\":\"string\"}"
}
CMD curl¶
curl "https://in42anzkh6.execute-api.ap-southeast-1.amazonaws.com/prod/knowledge-bases-books-get-one?pk=document-001"
PowerShell curl¶
curl.exe "https://in42anzkh6.execute-api.ap-southeast-1.amazonaws.com/prod/knowledge-bases-books-get-one?pk=document-001"